= nng_http_req_set_method(3http)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_http_req_set_method - set HTTP request method

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>
#include <nng/supplemental/http/http.h>

int nng_http_req_set_method(nng_http_req *req, const char *method);
----

== DESCRIPTION

The `nng_http_req_set_method()` sets the HTTP method associated with
the request _req_ to _method_.  The _method_ must be a string,
such as "GET" or "POST", and the HTTP specifications indicate that it must
be upper case.

The default value method for newly allocated requests is "GET".

A local copy of the _method_ is made in the request _req_.

== RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

== ERRORS

[horizontal]
`NNG_ENOMEM`:: Insufficient memory to perform the operation.
`NNG_ENOTSUP`:: No support for HTTP in the library.

== SEE ALSO

[.text-left]
xref:nng_http_req_alloc.3http.adoc[nng_http_req_alloc(3http)],
xref:nng_http_req_get_method.3http.adoc[nng_http_req_get_method(3http)],
xref:nng.7.adoc[nng(7)]
